### Virtual Method

# Gegl MetadataStore parse_value

#### Declaration [src]

    gboolean
    parse_value (
      GeglMetadataStore* self,
      GParamSpec* pspec,
      GValueTransform transform,
      const GValue* value
    )

#### Description [src]

This method is called to optionally parse image file metadata prior to setting metadata variables in the `GeglMetadataStore`. If no parser is available it returns `FALSE` and the registered mapping is used. If a parser available it should set one or more metadata variables using `gegl_metadata_store_set_value()` and return `TRUE`. Note that the parser MUST return `TRUE` even if setting individual values fails. The default method checks if a signal handler is registered for the parse-value signal with the variable name as the detail parameter. If a handler is registered it emits the signal with the file metadata provided as a `GValue` and returns `TRUE` otherwise `FALSE`.

#### Parameters

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the function.

`transform`

  Type: `GValueTransform`

  No description available.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.